#include "/lib/all_the_libs.glsl"

#include "/global/sky.glsl"
#include "/global/fog.glsl"

uniform sampler2D texture;

varying vec2 texcoord;
varying vec4 glcolor;

void main() {
	#ifndef FANCY_CLOUDS
	vec4 Color = texture2D(texture, texcoord) * glcolor;
	Color.rgb = to_linear(Color.rgb);

	#ifdef BORDER_FOG
	vec3 ScreenPos = vec3(gl_FragCoord.xy/resolution, gl_FragCoord.z);
	vec3 ViewPos = to_view_pos(ScreenPos);
	vec3 ViewPosN = normalize(ViewPos);
	vec3 PlayerPos = to_player_pos(ViewPos);

	float HorizontalDist = length(PlayerPos.xz);

	vec3 SkyColor = get_sky(ViewPosN, distance(ViewPosN, sunPositionN));
	
		Color.rgb = get_border_fog(HorizontalDist/far, Color.rgb, SkyColor);
	#endif

	/* DRAWBUFFERS:0 */
	gl_FragData[0] = Color; //gcolor
	#else
	discard;
	#endif
}
